# Class Exception

java.lang.Object
java.lang.Throwable
java.lang.Exception

Direct Known Subclasses:
  `BiometricException, BluetoothException, CalendarException, CallException, ClassNotFoundException, CloneNotSupportedException, HealthException, HomeException, IllegalAccessException, InstantiationException, InterruptedException, IOException, NearbyException, NfcException, ParseException, ParseException, RuntimeException, Transform.NotInvertibleException, URISyntaxException, VpnException`

public class Exception extends Throwable
The class Exception and its subclasses are a form of Throwable that indicates conditions that a reasonable application might want to catch. Since: JDK1.0, CLDC 1.0 See Also:Error

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Exception()`
  Constructs an Exception with no specified detail message.
  `Exception(String s)`
  Constructs an Exception with the specified detail message.
  `Exception(String s, Throwable cause)`
  Constructs a new exception with message and cause.
  `Exception(Throwable cause)`
  Constructs a new exception with the provided cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Exception

    public Exception()
    Constructs an Exception with no specified detail message.

  - ### Exception

    public Exception(String s)
    Constructs an Exception with the specified detail message. s - the detail message.

  - ### Exception

    public Exception(Throwable cause)

    Constructs a new exception with the provided cause.

    ###### Parameters

    - `cause`: The cause of the exception.

  - ### Exception

    public Exception(String s, Throwable cause)

    Constructs a new exception with message and cause.

    ###### Parameters

    - `s`: The detail message.

    - `cause`: The cause of the exception